SQLITE3(3)

NAME
sqlite3 - database connection handle

SYNOPSIS
#include <sqlite3.h>
typedef struct sqlite3 sqlite3;

DESCRIPTION
Each open SQLite database is represented by a pointer to an instance of the opaque structure named "sqlite3". It is useful to think of an sqlite3 pointer as an object. The sqlite3_open(), sqlite3_open16(), and sqlite3_open_v2() interfaces are its constructors, and sqlite3_close() and sqlite3_close_v2() are its destructors. There are many other interfaces (such as sqlite3_prepare_v2(), sqlite3_create_function(), and sqlite3_busy_timeout() to name but three) that are methods on an sqlite3 object.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 259.

    typedef struct sqlite3 sqlite3;

SEE ALSO
sqlite3_busy_timeout(3), sqlite3_close(3), sqlite3_create_function(3), sqlite3_open(3), sqlite3_prepare(3)